<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <form class="ui form" id="datasource-form" method="post" th:object="${applicationdatasource}">
    <input type="hidden" th:field="*{id}" />
    <input type="hidden" th:field="*{application.id}" />
    <input type="hidden" th:field="*{environment.id}" />
    <h2 class="ui dividing header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_DATABASE}" th:classappend=" blue"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATASOURCE}}"></span>
    </h2>
    <div class="fields" onclick="checkDataBaseType();">
      <th:block th:replace="common/fragments/input :: radio(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATASOURCE_DATABASE_TYPE}}, 
	                                                          field = 'dataBaseType', 
	                                                          options = ${datasourceDataBaseTypes},
	                                                          required = true, 
	                                                          message = 'common.typeofdatabase',
	                                                          columnsize = 'four wide'
	                                                          )" />
    </div>
    <div class="fields">
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATASOURCE_NAME}}, 
                                                             field = 'name', 
                                                             required = true, 
                                                             maxlength = 50, 
                                                             placeholder = '',
                                                             columnsize = 'eight wide'
                                                             )" />
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATASOURCE_DATABASE}}, 
                                                             field = 'dataBaseName', 
                                                             required = true, 
                                                             maxlength = 50, 
                                                             placeholder = '',
                                                             columnsize = 'four wide'
                                                             )" />
      <th:block th:replace="common/fragments/input :: radio(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DATASOURCE_TYPE}}, 
	                                                         field = 'type', 
	                                                         options = ${datasourceTypes},
	                                                         required = true, 
	                                                         message = 'common.typeofdatasource',
	                                                         columnsize = 'four wide'
	                                                         )" />
    </div>
    <div class="fields">
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOSTNAME}}, 
                                                             field = 'hostname', 
                                                             required = true, 
                                                             maxlength = 50, 
                                                             placeholder = '',
                                                             columnsize = 'four wide'
                                                             )" />
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PORT}}, 
                                                             field = 'port', 
                                                             required = true, 
                                                             maxlength = 50, 
                                                             placeholder = '',
                                                             columnsize = 'two wide'
                                                             )" />
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}, 
                                                             field = 'username', 
                                                             required = true, 
                                                             maxlength = 50, 
                                                             placeholder = '',
                                                             columnsize = 'five wide'
                                                             )" />
      <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PASSCODE}}, 
                                                             field = 'password', 
                                                             required = false, 
                                                             maxlength = 50, 
                                                             placeholder = '',
                                                             columnsize = 'five wide'
                                                             )" />
    </div>
    <br />
    <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
	                                                          	icon1text =${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
	                                                          	icon1url = '',
	                                                          	)" />
    <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
  </form>
</body>
</html>